### Function Macro

# Gsk RECT_SNAP_INIT

unstable since: 4.24

#### Declaration [src]

    #define GSK_RECT_SNAP_INIT (
      top,
      right,
      bottom,
      left
    )

#### Description [src]

A macro that initializes a snap value. Equivalent to calling gsk_rect_snap_new().

Available since: 4.24

This function is not directly available to language bindings.

#### Parameters

`top`

  Type: `-`

  How to snap the top edge.

`right`

  Type: `-`

  How to snap the right edge.

`bottom`

  Type: `-`

  How to snap the bottom edge.

`left`

  Type: `-`

  How to snap the left edge.